## sigil 0.8.7+dfsg

=== CMakeLists.txt ===
########################################################
#  
#  This is a CMake configuration file.
#  To use it you need CMake which can be 
#  downloaded from here: 
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0 ) 

project( Sigil ) 

set( CMAKE_DEBUG_POSTFIX "d" )
set( CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin )
set( CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
set( CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib )
set( PACKAGE_DIRECTORY ${PROJECT_BINARY_DIR}/package )
set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake_extras" )

set( SIGIL_MAJOR_VERSION 0 )
set( SIGIL_MINOR_VERSION 8 )
set( SIGIL_REVISION_VERSION 6 )
set( SIGIL_FULL_VERSION ${SIGIL_MAJOR_VERSION}.${SIGIL_MINOR_VERSION}.${SIGIL_REVISION_VERSION} )

# Apple users building with XCode notes:
# If building with XCode you need to set the target and location
# of the SDK. If you are building with the Command Line Tools
# you do not need to specify the follwing options.
# It is recommened to set them when running cmake using -D
# rather than editing this file directly.
# CMAKE_OSX_DEPLOYMENT_TARGET "10.8"
# CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.8.sdk"


# Check if platform is 64 bit
if( NOT APPLE )
   if( CMAKE_SIZEOF_VOID_P EQUAL 4 )
     set( 64_BIT_PLATFORM 0 )
   else()
     set( 64_BIT_PLATFORM 1 )
   endif()
endif()

# Profiler configuration for GCC
if (APPLE)
    SET (CMAKE_C_FLAGS_RELEASE "-O0 -DNDEBUG")
    SET (CMAKE_CXX_FLAGS_RELEASE "-O0 -DNDEBUG")
elseif( CMAKE_COMPILER_IS_GNUCXX  )
    set( CMAKE_BUILD_TYPE profiling )
    set( CMAKE_CXX_FLAGS_PROFILING "-O2 -DNDEBUG -pg -g -fno-omit-frame-pointer -fno-inline-functions -fno-inline-functions-called-once -fno-optimize-sibling-calls" )

    # After creating the new build type,
    # we clear the default back to empty
    set( CMAKE_BUILD_TYPE  )
endif()

# This disables the building of the test runner app for FlightCrew
set( NO_TEST_EXE 1 )

if( NOT FORCE_BUNDLED_COPIES )
    find_package( Boost COMPONENTS date_time filesystem program_options regex system thread )
    find_package( ZLIB )
    find_package( PkgConfig )
    find_package( MiniZip )
    pkg_check_modules( XERCES xerces-c>=3.1 )
    pkg_check_modules( HUNSPELL hunspell )
    if ( NOT APPLE )
        pkg_check_modules( PCRE libpcre16 )
    endif()
    find_package( XercesExtensions )
    find_package( FlightCrew )
endif()

# We must use the bundled Tidy because there are Sigil
# specific changes to it.
add_subdirectory( src/tidyLib )

if( FORCE_BUNDLED_COPIES OR NOT Boost_FOUND )
    add_subdirectory( src/BoostParts )
    # Set these so zipios doesn't complain.
    set( Boost_DATE_TIME_LIBRARY 1 )
    set( Boost_FILESYSTEM_LIBRARY 1 )
    set( Boost_PROGRAM_OPTIONS_LIBRARY 1 )
    set( Boost_REGEX_LIBRARY 1 )
    set( Boost_SYSTEM_LIBRARY 1 )
    set( Boost_THREAD_LIBRARY 1 )
    set( BOOST_LIBS BoostParts )
    set( BOOST_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/src/BoostParts )
else()
    set( BOOST_LIBS ${Boost_DATE_TIME_LIBRARY} ${Boost_FILESYSTEM_LIBRARY} ${Boost_PROGRAM_OPTIONS_LIBRARY} ${Boost_REGEX_LIBRARY} ${Boost_SYSTEM_LIBRARY} ${Boost_THREAD_LIBRARY} )
    set( BOOST_INCLUDE_DIRS ${Boost_INCLUDE_DIRS} )
endif()

if( FORCE_BUNDLED_COPIES OR NOT ZLIB_FOUND )
    add_subdirectory( src/zlib )
    set( ZLIB_LIBRARIES zlib )
    set( ZLIB_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/src/zlib ${CMAKE_BINARY_DIR}/src/zlib )
endif()

if( FORCE_BUNDLED_COPIES OR NOT MINIZIP_FOUND )
    add_subdirectory( src/minizip )
    set( MINIZIP_LIBRARIES minizip )
    set( MINIZIP_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/src/minizip )
endif()

if( FORCE_BUNDLED_COPIES OR NOT XERCES_FOUND )
    add_subdirectory( src/Xerces )
    set( XERCES_LIBRARIES Xerces )
    set( XERCES_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/src/Xerces )
endif()

if( FORCE_BUNDLED_COPIES OR NOT HUNSPELL_FOUND )
    add_subdirectory( src/hunspell )
    set( HUNSPELL_LIBRARIES hunspell )
    set( HUNSPELL_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/src/hunspell )
endif()

if( FORCE_BUNDLED_COPIES OR NOT PCRE_FOUND OR APPLE )
    add_subdirectory( src/pcre )
    set( PCRE_LIBRARIES pcre )
    set( PCRE_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/src/pcre ${CMAKE_BINARY_DIR}/src/pcre )
endif()

if( NOT XERCESEXTENSIONS_FOUND )
    add_subdirectory( src/XercesExtensions )
    set( XERCESEXTENSIONS_LIBRARIES XercesExtensions )
    set( XERCESEXTENSIONS_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/src/XercesExtensions )
endif()

if( NOT FLIGHTCREW_FOUND )
    add_subdirectory( src/FlightCrew )
    set( FLIGHTCREW_LIBRARIES FlightCrew )
    set( FLIGHTCREW_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/src/FlightCrew )
endif()

add_subdirectory( src/Sigil )

=== src/Sigil/CMakeLists.txt ===
########################################################
#  
#  This is a CMake configuration file.
#  To use it you need CMake which can be 
#  downloaded from here: 
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0.0 )

if(POLICY CMP0020)
    cmake_policy(SET CMP0020 OLD)
endif()
if(POLICY CMP0043)
    cmake_policy(SET CMP0043 OLD)
endif()

#############################################################################

# Print a message and fail for people who don't
# read the build instructions and then complain
# when the build process fails for them.
if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
    message( FATAL_ERROR "You are trying to run CMake from the <top_folder>/src/Sigil directory, "
                         "instead of just from the <top_folder> directory.\nDO NOT DO THIS.\n"
                         "The correct way looks like this:\n"
                         "  cmake -G '<generator_name>' /path/to/topmost/folder/in/source/package\n"
                         "You will probably now need to first clean your build directory." )
endif()

#############################################################################

# We use the lower case name
# on UNIX systems other than Mac OS X
if ( WIN32 OR APPLE )
    project( Sigil )
else()
    project( sigil )
endif()

#############################################################################

if (NOT MSVC)
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
    if(COMPILER_SUPPORTS_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    elseif(COMPILER_SUPPORTS_CXX0X)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
        # Give gcc compilers that fall through the cracks a shot.
        if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fpermissive")
            message("-- fpermissive CXX flag being used for gcc ${CMAKE_CXX_COMPILER_VERSION}")
        endif()
    else()
        message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
    endif()
endif()

#############################################################################


# Qt5 packages minimum version 5.4
find_package(Qt5 5.4 COMPONENTS Core Network Svg WebKit WebKitWidgets Widgets Xml XmlPatterns Concurrent PrintSupport LinguistTools)
set(CMAKE_AUTOMOC ON)

set( MAIN_FILES
    sigil_constants.h
    sigil_exception.h
    main.cpp
    )
    
set( BOOK_MANIPULATION_FILES 
    BookManipulation/Book.cpp
    BookManipulation/Book.h
    BookManipulation/BookReports.cpp
    BookManipulation/BookReports.h
    BookManipulation/Index.cpp
    BookManipulation/Index.h
    BookManipulation/CleanSource.cpp
    BookManipulation/CleanSource.h
    BookManipulation/FolderKeeper.cpp
    BookManipulation/FolderKeeper.h
    BookManipulation/Headings.cpp
    BookManipulation/Headings.h
    BookManipulation/Metadata.cpp
    BookManipulation/Metadata.h
    BookManipulation/XhtmlDoc.cpp
    BookManipulation/XhtmlDoc.h
    BookManipulation/GuideSemantics.cpp
    BookManipulation/GuideSemantics.h
    BookManipulation/XercesCppUse.h
    BookManipulation/XercesHUse.h
    )

set( RESOURCE_OBJECT_FILES
    ResourceObjects/Resource.cpp
    ResourceObjects/Resource.h
    ResourceObjects/TextResource.cpp
    ResourceObjects/TextResource.h
    ResourceObjects/HTMLResource.cpp
    ResourceObjects/HTMLResource.h
    ResourceObjects/CSSResource.cpp
    ResourceObjects/CSSResource.h
    ResourceObjects/ImageResource.cpp
    ResourceObjects/ImageResource.h
    ResourceObjects/AudioResource.cpp
    ResourceObjects/AudioResource.h
    ResourceObjects/VideoResource.cpp
    ResourceObjects/VideoResource.h
    ResourceObjects/MiscTextResource.cpp
    ResourceObjects/MiscTextResource.h
    ResourceObjects/SVGResource.cpp
    ResourceObjects/SVGResource.h
    ResourceObjects/FontResource.cpp
    ResourceObjects/FontResource.h
    ResourceObjects/OPFResource.cpp
    ResourceObjects/OPFResource.h
    ResourceObjects/NCXResource.cpp
    ResourceObjects/NCXResource.h
    ResourceObjects/XMLResource.cpp
    ResourceObjects/XMLResource.h
    )
        
set( DIALOG_FILES
    Dialogs/About.cpp
    Dialogs/About.h
    Dialogs/AddMetadata.cpp
    Dialogs/AddMetadata.h
    Dialogs/ClipboardHistorySelector.h
    Dialogs/ClipboardHistorySelector.cpp
    Dialogs/DeleteFiles.cpp
    Dialogs/DeleteFiles.h
    Dialogs/DeleteStyles.cpp
    Dialogs/DeleteStyles.h
    Dialogs/EditTOC.cpp
    Dialogs/EditTOC.h
    Dialogs/OpenWithName.cpp
    Dialogs/OpenWithName.h
    Dialogs/SelectCharacter.cpp
    Dialogs/SelectCharacter.h
    Dialogs/SelectHyperlink.cpp
    Dialogs/SelectHyperlink.h
    Dialogs/SelectId.cpp
    Dialogs/SelectId.h
    Dialogs/SelectIndexTitle.cpp
    Dialogs/SelectIndexTitle.h
    Dialogs/SelectFiles.cpp
    Dialogs/SelectFiles.h
    Dialogs/MetaEditor.cpp
    Dialogs/MetaEditor.h
    Dialogs/MetaEditorItemDelegate.cpp
    Dialogs/MetaEditorItemDelegate.h
    Dialogs/HeadingSelector.cpp
    Dialogs/HeadingSelector.h
    Dialogs/PluginRunner.cpp
    Dialogs/PluginRunner.h
    Dialogs/Preferences.cpp
    Dialogs/Preferences.h
    Dialogs/PreferenceWidgets/AppearanceWidget.cpp
    Dialogs/PreferenceWidgets/AppearanceWidget.h
    Dialogs/PreferenceWidgets/CleanSourceWidget.cpp
    Dialogs/PreferenceWidgets/CleanSourceWidget.h
    Dialogs/PreferenceWidgets/KeyboardShortcutsWidget.cpp
    Dialogs/PreferenceWidgets/KeyboardShortcutsWidget.h
    Dialogs/PreferenceWidgets/LanguageWidget.cpp
    Dialogs/PreferenceWidgets/LanguageWidget.h
    Dialogs/PreferenceWidgets/PreferencesWidget.h
    Dialogs/PreferenceWidgets/SpellCheckWidget.cpp
    Dialogs/PreferenceWidgets/SpellCheckWidget.h
    Dialogs/PreferenceWidgets/PreserveEntitiesWidget.cpp
    Dialogs/PreferenceWidgets/PreserveEntitiesWidget.h
    Dialogs/PreferenceWidgets/PluginWidget.cpp
    Dialogs/PreferenceWidgets/PluginWidget.h
    Dialogs/RenameTemplate.cpp
    Dialogs/RenameTemplate.h
    Dialogs/Reports.cpp
    Dialogs/Reports.h
    Dialogs/ReportsWidgets/AllFilesWidget.cpp
    Dialogs/ReportsWidgets/AllFilesWidget.h
    Dialogs/ReportsWidgets/HTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/HTMLFilesWidget.h
    Dialogs/ReportsWidgets/LinksWidget.cpp
    Dialogs/ReportsWidgets/LinksWidget.h
    Dialogs/ReportsWidgets/ImageFilesWidget.cpp
    Dialogs/ReportsWidgets/ImageFilesWidget.h
    Dialogs/ReportsWidgets/CSSFilesWidget.cpp
    Dialogs/ReportsWidgets/CSSFilesWidget.h
    Dialogs/ReportsWidgets/ClassesInHTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/ClassesInHTMLFilesWidget.h
    Dialogs/ReportsWidgets/StylesInCSSFilesWidget.cpp
    Dialogs/ReportsWidgets/StylesInCSSFilesWidget.h
    Dialogs/ReportsWidgets/CharactersInHTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/CharactersInHTMLFilesWidget.h
    Dialogs/ReportsWidgets/ReportsWidget.h
    Dialogs/LinkStylesheets.cpp
    Dialogs/LinkStylesheets.h
    Dialogs/SearchEditor.cpp
    Dialogs/SearchEditor.h
    Dialogs/ClipEditor.cpp
    Dialogs/ClipEditor.h
    Dialogs/IndexEditor.cpp
    Dialogs/IndexEditor.h
    Dialogs/SpellcheckEditor.cpp
    Dialogs/SpellcheckEditor.h
    Dialogs/ViewImage.cpp
    Dialogs/ViewImage.h
    )

set( EXPORTER_FILES
    Exporters/ExportEPUB.cpp
    Exporters/ExportEPUB.h
    Exporters/Exporter.h
    Exporters/ExporterFactory.cpp
    Exporters/ExporterFactory.h
    Exporters/NCXWriter.cpp
    Exporters/NCXWriter.h
    Exporters/XMLWriter.cpp
    Exporters/XMLWriter.h
    Exporters/EncryptionXmlWriter.cpp
    Exporters/EncryptionXmlWriter.h
    )
    
set( IMPORTER_FILES
    Importers/ImportEPUB.cpp
    Importers/ImportEPUB.h
    Importers/Importer.cpp
    Importers/Importer.h
    Importers/ImporterFactory.cpp
    Importers/ImporterFactory.h
    Importers/ImportHTML.cpp
    Importers/ImportHTML.h
    Importers/ImportTXT.cpp
    Importers/ImportTXT.h
    )
    
set( MISC_FILES    
    Misc/AppEventFilter.cpp
    Misc/AppEventFilter.h
    Misc/UpdateChecker.cpp
    Misc/UpdateChecker.h
    Misc/Utility.cpp
    Misc/Utility.h
    Misc/SleepFunctions.h
    Misc/FindReplaceQLineEdit.cpp
    Misc/FindReplaceQLineEdit.h
    Misc/FilenameDelegate.cpp
    Misc/FilenameDelegate.h
    Misc/XHTMLHighlighter.cpp
    Misc/XHTMLHighlighter.h
    Misc/CSSHighlighter.cpp
    Misc/CSSHighlighter.h
    Misc/CSSInfo.cpp
    Misc/CSSInfo.h
    Misc/HTMLEncodingResolver.cpp
    Misc/HTMLEncodingResolver.h
    Misc/HTMLSpellCheck.cpp
    Misc/HTMLSpellCheck.h
    Misc/HTMLPrettyPrint.cpp
    Misc/HTMLPrettyPrint.h
    Misc/PasteTargetComboBox.cpp
    Misc/PasteTargetComboBox.h
    Misc/PasteTarget.h
    Misc/Plugin.cpp
    Misc/Plugin.h
    Misc/PluginDB.cpp
    Misc/PluginDB.h
    Misc/QCodePage437Codec.cpp
    Misc/QCodePage437Codec.h
    Misc/RasterizeImageResource.cpp
    Misc/RasterizeImageResource.h
    Misc/SearchOperations.cpp
    Misc/SearchOperations.h
    Misc/Language.cpp
    Misc/UILanguage.cpp
    Misc/SettingsStore.cpp
    Misc/SettingsStore.h
    Misc/SpellCheck.cpp
    Misc/SpellCheck.h
    Misc/KeyboardShortcut.cpp
    Misc/KeyboardShortcut.h
    Misc/KeyboardShortcut_p.h
    Misc/KeyboardShortcutManager.cpp
    Misc/KeyboardShortcutManager.h
    Misc/XhtmlEntitiesDtd.cpp
    Misc/FontObfuscation.cpp
    Misc/FontObfuscation.h
    Misc/TempFolder.cpp
    Misc/TempFolder.h
    Misc/OpenExternally.cpp
    Misc/OpenExternally.h
    Misc/TOCHTMLWriter.cpp
    Misc/TOCHTMLWriter.h
    Misc/NumericItem.h
    Misc/CaseInsensitiveItem.h
    Misc/ValidationResult.h
    Misc/ValidationResult.cpp
    Misc/WrapIndicator.h
    Misc/XMLEntities.cpp
    )

set( MISC_EDITORS_FILES    
    MiscEditors/ClipEditorModel.cpp
    MiscEditors/ClipEditorModel.h
    MiscEditors/ClipEditorTreeView.cpp
    MiscEditors/ClipEditorTreeView.h
    MiscEditors/IndexEditorModel.cpp
    MiscEditors/IndexEditorModel.h
    MiscEditors/IndexEditorTreeView.cpp
    MiscEditors/IndexEditorTreeView.h
    MiscEditors/IndexEntries.cpp
    MiscEditors/IndexEntries.h
    MiscEditors/IndexHTMLWriter.cpp
    MiscEditors/IndexHTMLWriter.h
    MiscEditors/SearchEditorTreeView.cpp
    MiscEditors/SearchEditorTreeView.h
    MiscEditors/SearchEditorModel.cpp
    MiscEditors/SearchEditorModel.h
    )

set( SPCRE_FILES
    PCRE/SPCRE.cpp
    PCRE/SPCRE.h
    PCRE/PCRECache.cpp
    PCRE/PCRECache.h
    PCRE/PCREReplaceTextBuilder.cpp
    PCRE/PCREReplaceTextBuilder.h
    )

set( VIEW_EDITOR_FILES
    ViewEditors/BookViewEditor.cpp
    ViewEditors/BookViewEditor.h
    ViewEditors/BookViewPreview.cpp
    ViewEditors/BookViewPreview.h
    ViewEditors/CodeViewEditor.cpp
    ViewEditors/CodeViewEditor.h
    ViewEditors/LineNumberArea.cpp
    ViewEditors/LineNumberArea.h
    ViewEditors/Searchable.cpp
    ViewEditors/Searchable.h
    ViewEditors/Zoomable.h 
    ViewEditors/ViewEditor.h     
    ViewEditors/ViewWebPage.cpp
    ViewEditors/ViewWebPage.h 
    )

set( MAINUI_FILES 
    MainUI/MainApplication.cpp
    MainUI/MainApplication.h
    MainUI/MainWindow.cpp
    MainUI/MainWindow.h
    MainUI/FindReplace.cpp
    MainUI/FindReplace.h
    MainUI/BookBrowser.cpp
    MainUI/BookBrowser.h
    MainUI/ClipsWindow.cpp
    MainUI/ClipsWindow.h
    MainUI/PreviewWindow.cpp
    MainUI/PreviewWindow.h
    MainUI/TableOfContents.cpp
    MainUI/TableOfContents.h
    MainUI/OPFModel.cpp
    MainUI/OPFModel.h
    MainUI/OPFModelItem.cpp
    MainUI/OPFModelItem.h
    MainUI/NCXModel.cpp
    MainUI/NCXModel.h
    MainUI/ValidationResultsView.cpp
    MainUI/ValidationResultsView.h
    )

set( TAB_FILES
    Tabs/TabBar.cpp
    Tabs/TabBar.h
    Tabs/TabManager.cpp
    Tabs/TabManager.h
    Tabs/FlowTab.cpp
    Tabs/FlowTab.h 
    Tabs/ContentTab.cpp
    Tabs/ContentTab.h 
    Tabs/TextTab.cpp
    Tabs/TextTab.h
    Tabs/CSSTab.cpp
    Tabs/CSSTab.h

=== debian/changelog ===
sigil (0.8.7+dfsg-3) unstable; urgency=medium

  * debian/control: set Priority: extra since 2 of its deps are so
  * debian/patches/translations: add to get sigil using its own translation
    files.  Closes: #798764

 -- Mattia Rizzolo <mattia@mapreri.org>  Thu, 24 Sep 2015 09:13:31 +0000

sigil (0.8.7+dfsg-2) unstable; urgency=medium

  * debian/clean: remove the two jquery minified js (if they are present, they
    are symlink created in a past build)
  * debian/sigil.1: document the SIGIL_DICTIONARIES and SIGIL_TRANSLATIONS
    environment variables.  Closes: #794067
  * debian/patches:
    + reproducible: add to make the build reproducible: this just removes the
      "Build time" label from the about window.
    + FTBFS_kfreebsdd: add to fix FTBFS in kfreebsd
    + dictionaries: add to change the default dictionaries path to
      /usr/share/hunspell (provided by hunspell-dictionaries)

 -- Mattia Rizzolo <mattia@mapreri.org>  Tue, 01 Sep 2015 19:13:58 +0000

sigil (0.8.7+dfsg-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream releases 0.8.7.
  * debian/watch: move to the new github project.
  * debian/copyright: update the upstream source location.
  * debian/rules: stop removing pcre, since the tarball actually miss it.

  [ Mattia Rizzolo ]
  * debian/control: update Homepage field to the new site.
  * debian/rules: do not fail the configure step if run twice.
  * debian/copyright: remove pcre files from the copyright, they are not on
    the tarball anymore.

 -- Norbert Preining <preining@debian.org>  Wed, 29 Jul 2015 21:07:25 +0900

sigil (0.8.4+dfsg-1) experimental; urgency=low

  * Initial packaging of Sigil (Closes: #590180)

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 15 Feb 2015 15:02:32 +0100

=== debian/control ===
Source: sigil
Section: editors
Priority: extra
Maintainer: Mattia Rizzolo <mattia@mapreri.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends: cmake (>= 3.0.0),
               debhelper (>= 9),
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libflightcrew-dev,
               libhunspell-dev,
               libjs-jquery,
               libjs-jquery-scrollto,
               libminizip-dev,
               libpcre3-dev (>= 2:8.35-4),
               libqt5opengl5-dev (>= 5.4.0),
               libqt5sensors5-dev (>= 5.4.0),
               libqt5svg5-dev (>= 5.4.0),
               libqt5webkit5-dev (>= 5.4.0),
               libqt5xmlpatterns5-dev (>= 5.4.0),
               libxerces-c-dev,
               pkg-config,
               qtbase5-dev (>= 5.4.0),
               qtdeclarative5-dev (>= 5.4.0),
               qtmultimedia5-dev (>= 5.4.0),
               qtpositioning5-dev (>= 5.4.0),
               qttools5-dev (>= 5.4.0),
               qttools5-dev-tools (>= 5.4.0),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://sigil-ebook.com
Vcs-Git: git://anonscm.debian.org/collab-maint/sigil.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sigil.git

Package: sigil
Architecture: any
Depends: libjs-jquery-scrollto,
         sigil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: multi-platform ebook editor
 Sigil is a free, open source, multi-platform ebook editor.
 It is designed to edit books in ePub format.
 .
 Features:
 .
  * Full UTF-16 support;
  * Full EPUB 2 spec support;
  * Multiple Views: Book View, Code View and Preview View;
  * WYSIWYG editing in Book View;
  * Complete control over directly editing EPUB syntax in Code View;
  * Table of Contents generator with multi-level heading support;
  * Metadata editor with full support for all possible metadata entries (more
    than 200) with full descriptions for each;
  * User interface translated into many languages;
  * Spell checking with default and user configurable dictionaries;
  * Full Regular Expression (PCRE) support for Find & Replace;
  * Supports import of EPUB and HTML files, images, and style sheets;
  * Files can be validated for EPUB compliance with the FlightCrew validator;
  * HTML Tidy: all imported files have their formatting corrected, and your
    editing can be optionally cleaned.

Package: sigil-data
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: sigil (= ${source:Version})
Description: multi-platform ebook editor - data files
 Sigil is a free, open source, multi-platform ebook editor.
 It is designed to edit books in ePub format.
 .
 Features:
 .
  * Full UTF-16 support;
  * Full EPUB 2 spec support;
  * Multiple Views: Book View, Code View and Preview View;
  * WYSIWYG editing in Book View;
  * Complete control over directly editing EPUB syntax in Code View;
  * Table of Contents generator with multi-level heading support;
  * Metadata editor with full support for all possible metadata entries (more
    than 200) with full descriptions for each;
  * User interface translated into many languages;
  * Spell checking with default and user configurable dictionaries;
  * Full Regular Expression (PCRE) support for Find & Replace;
  * Supports import of EPUB and HTML files, images, and style sheets;
  * Files can be validated for EPUB compliance with the FlightCrew validator;
  * HTML Tidy: all imported files have their formatting corrected, and your
    editing can be optionally cleaned.
 .
 This package provides the architecture-independant files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	ln -sf /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/src/Sigil/Resource_Files/javascript/jquery-1.6.2.min.js
	ln -sf /usr/share/javascript/jquery-scrollto/jquery.scrollTo.min.js $(CURDIR)/src/Sigil/Resource_Files/javascript/jquery.scrollTo-1.4.2-min.js
	dh_auto_configure

override_dh_install:
	dh_install --fail-missing

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+dfsg \
https://github.com/Sigil-Ebook/Sigil/releases /Sigil-Ebook/Sigil/archive/(\d\S*).(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sigil 0.9.5%2Bdfsg

=== debian/changelog ===
sigil (0.9.5+dfsg-0ubuntu1+esm1) xenial-security; urgency=medium

  * SECURITY UPDATE: Zip Slip directory traversal when processing a crafted
    EPUB file
    - debian/patches/CVE-2019-14452-1.patch: do not allow zip files to have
      upward relative path sections.
    - debian/patches/CVE-2019-14452-2.patch: further harden against malicious
      epubs and produce error message.
    - debian/patches/CVE-2019-14452-3.patch: harden plugin unzipping to
      zip-slip attacks.
    - CVE-2019-14452

 -- Mike Salvatore <mike.salvatore@canonical.com>  Wed, 31 Jul 2019 09:19:45 -0400

sigil (0.9.5+dfsg-0ubuntu1) xenial; urgency=medium

  * Upload to ubuntu.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 27 Mar 2016 14:24:08 +0000

sigil (0.9.5+dfsg-1) UNRELEASED; urgency=medium

  * [7ed6c2e] Imported Upstream version 0.9.5+dfsg
  * debian/control:
    + [ae08fdf] stop recommending a specific python3 version.  Closes: #812602
    + [132205e] use https in Vcs-Git.
    + [ec2d99c] bump Standards-Version to 3.9.7, no changes needed.
  * [561c379] debian/copyright: update years.
  * [7967fbb] debian/watch: use the tarball manually uploaded by upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 27 Mar 2016 14:20:10 +0000

sigil (0.9.2+dfsg+dfsg-2) unstable; urgency=medium

  * [2c7b008] debian/clean: files moved, so update the list of files to remove.
  * [adca4b7] Use dh_python3 to compute python dependencies, etc.
  * debian/control:
    + [9bd47bb] Recommends some python3 modules used by the test plugin.
    + [b4ef59b] Build using the default python version.  Closes: #810872

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 19 Jan 2016 13:45:43 +0000

sigil (0.9.2+dfsg+dfsg-1) unstable; urgency=medium

  * [19a5e34] debian/{control,copyright}: use my @debian.org email address
  * [4b7b293] Imported Upstream version 0.9.2+dfsg+dfsg
    + [f0192e8] debian/patches/switch-to-QTemporaryDir: remove.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 19 Dec 2015 09:12:32 +0000

sigil (0.9.1+dfsg-2) unstable; urgency=medium

  * [5c55628] debian/patches/switch-to-QTemporaryDir: take commit from upstream
    to have a race-free, privacy-ok temporary directory implementation.

 -- Mattia Rizzolo <mattia@mapreri.org>  Thu, 03 Dec 2015 16:28:47 +0000

sigil (0.9.1+dfsg-1) unstable; urgency=medium

  * [5fab6a8] Imported Upstream version 0.9.1+dfsg.
  * [9d62545] d/patches/{multiarch,reproducible-build}: drop, applied upstream.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 29 Nov 2015 18:19:43 +0000

sigil (0.9.0+dfsg-3) unstable; urgency=medium

  * [1433219] debian/control: remove a bunch of Build-Dependencies not needed
    anymore.  Thanks to KevinH (upstream developer) for noticing.
  * [d527ac3] debian/patches/multiarch: mark the patch as forwarded.
  * [155dae8] debian/patches/reproducible-build: apply patch to get sigil build
    reproducibly.  The order of the linking was dependent on readdir() order,
    so sort the list of sources before everything.  Thanks to
    Reiner Herrmann <reiner@reiner-h.de> for the patch.  Closes: #805500

 -- Mattia Rizzolo <mattia@mapreri.org>  Thu, 19 Nov 2015 00:23:52 +0000

sigil (0.9.0+dfsg-2) unstable; urgency=medium

  * [7ecedd6] debian/patch/multarch: allow finding the python lib everywhere,
    fix FTBFS on !amd64 and !i386.
  * [b70e6d7] debian/control: Let sigil depend on libhunspell-dev.
    The plugin system looks for libhunspell.so directly, so we need the symlink
    provided by this.  Closes: #804887
  * [5bf179b] debian/rules: fix extra-license-file lintian warning.

 -- Mattia Rizzolo <mattia@mapreri.org>  Mon, 16 Nov 2015 15:45:20 +0000

sigil (0.9.0+dfsg-1) unstable; urgency=medium

  * [f98b278] Imported Upstream version 0.9.0+dfsg.
  * debian/rules:
    + [1c5a574] the bundled jquery-scrollto moved, update the `ln -s` paths.
    + [eb71fb7] force use of system libs (-DSYSTEM_LIBS_REQUIRED=1).
    + [2878b60] link with --as-needed to avoid over-linking.
    + [dcf912c] set -DINSTALL_BUNDLED_DICTS=0.
  * debian/patches:
    * [b2ca7e0] remove not needed anymore patches.
    * [3be2b5b] refresh.
  * debian/control:
    + [c53608d] build-depend on python3.4-dev (yes, I really need to hardcode
      this python version).
    + [909d06d] let sigil depend on python3-lxml (used by the plugin launcher).
    + [35dcfc8] let sigil recommend python2.7 and python3.4, which are used by
      external plugins.  We can't use a simple python/python3 since upstream
      supports only those 2 versions, and plugins explitely list them.
  * [e1d147d] sigil does not support SIGIL_TRANSLATION anymore, so remove the
    relative patch and citation in the manpage.
  * debian/copyright:
    + [084da83] update Files-Excluded for the new tarball.
    + [ca93bf3,d640e1e] update copyright after the new upstream release.
  * [7f5b6ab] debian/sigil.install: install the whole usr/lib directory.

 -- Mattia Rizzolo <mattia@mapreri.org>  Tue, 10 Nov 2015 09:12:53 +0000

## sigil 0.9.5+dfsg

=== CMakeLists.txt ===
########################################################
#  
#  This is a CMake configuration file.
#  To use it you need CMake which can be 
#  downloaded from here: 
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0.0 )

if(POLICY CMP0020)
    cmake_policy(SET CMP0020 OLD)
endif()
if(POLICY CMP0043)
    cmake_policy(SET CMP0043 OLD)
endif()

#############################################################################

# Print a message and fail for people who don't
# read the build instructions and then complain
# when the build process fails for them.
if ( ${CMAKE_CURRENT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR} )
    message( FATAL_ERROR "You are trying to run CMake from the <top_folder>/src/ directory, "
                         "instead of just from the <top_folder> directory.\nDO NOT DO THIS.\n"
                         "The correct way looks like this:\n"
                         "  cmake -G '<generator_name>' /path/to/topmost/folder/in/source/package\n"
                         "You will probably now need to first clean your build directory." )
endif()

#############################################################################

# We use the lower case name
# on UNIX systems other than Mac OS X
if ( WIN32 OR APPLE )
    project( Sigil )
else()
    project( sigil )
endif()

#############################################################################

if (NOT MSVC)
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
    if(COMPILER_SUPPORTS_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    elseif(COMPILER_SUPPORTS_CXX0X)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
        # Give gcc compilers that fall through the cracks a shot.
        if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fpermissive")
            message("-- fpermissive CXX flag being used for gcc ${CMAKE_CXX_COMPILER_VERSION}")
        endif()
    else()
        message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
    endif()
endif()

#############################################################################


# Qt5 packages minimum version 5.4
find_package(Qt5 5.4 COMPONENTS Core Network Svg WebKit WebKitWidgets Widgets Xml XmlPatterns Concurrent PrintSupport LinguistTools)
set(CMAKE_AUTOMOC ON)

set( MAIN_FILES
    sigil_constants.h
    sigil_constants.cpp
    sigil_exception.h
    main.cpp
    )
    
set( BOOK_MANIPULATION_FILES 
    BookManipulation/Book.cpp
    BookManipulation/Book.h
    BookManipulation/BookReports.cpp
    BookManipulation/BookReports.h
    BookManipulation/Index.cpp
    BookManipulation/Index.h
    BookManipulation/CleanSource.cpp
    BookManipulation/CleanSource.h
    BookManipulation/FolderKeeper.cpp
    BookManipulation/FolderKeeper.h
    BookManipulation/Headings.cpp
    BookManipulation/Headings.h
    BookManipulation/HTMLMetadata.cpp
    BookManipulation/HTMLMetadata.h
    BookManipulation/XhtmlDoc.cpp
    BookManipulation/XhtmlDoc.h
    )

set( RESOURCE_OBJECT_FILES
    ResourceObjects/Resource.cpp
    ResourceObjects/Resource.h
    ResourceObjects/TextResource.cpp
    ResourceObjects/TextResource.h
    ResourceObjects/HTMLResource.cpp
    ResourceObjects/HTMLResource.h
    ResourceObjects/CSSResource.cpp
    ResourceObjects/CSSResource.h
    ResourceObjects/ImageResource.cpp
    ResourceObjects/ImageResource.h
    ResourceObjects/AudioResource.cpp
    ResourceObjects/AudioResource.h
    ResourceObjects/VideoResource.cpp
    ResourceObjects/VideoResource.h
    ResourceObjects/MiscTextResource.cpp
    ResourceObjects/MiscTextResource.h
    ResourceObjects/SVGResource.cpp
    ResourceObjects/SVGResource.h
    ResourceObjects/FontResource.cpp
    ResourceObjects/FontResource.h
    ResourceObjects/OPFParser.cpp
    ResourceObjects/OPFParser.h
    ResourceObjects/OPFResource.cpp
    ResourceObjects/OPFResource.h
    ResourceObjects/NavProcessor.cpp
    ResourceObjects/NavProcessor.h
    ResourceObjects/NCXResource.cpp
    ResourceObjects/NCXResource.h
    ResourceObjects/XMLResource.cpp
    ResourceObjects/XMLResource.h
    )
        
set( DIALOG_FILES
    Dialogs/About.cpp
    Dialogs/About.h
    Dialogs/AddSemantics.cpp
    Dialogs/AddSemantics.h
    Dialogs/AddMetadata.cpp
    Dialogs/AddMetadata.h
    Dialogs/ClipboardHistorySelector.h
    Dialogs/ClipboardHistorySelector.cpp
    Dialogs/DeleteFiles.cpp
    Dialogs/DeleteFiles.h
    Dialogs/DeleteStyles.cpp
    Dialogs/DeleteStyles.h
    Dialogs/EditTOC.cpp
    Dialogs/EditTOC.h
    Dialogs/OpenWithName.cpp
    Dialogs/OpenWithName.h
    Dialogs/SelectCharacter.cpp
    Dialogs/SelectCharacter.h
    Dialogs/SelectHyperlink.cpp
    Dialogs/SelectHyperlink.h
    Dialogs/SelectId.cpp
    Dialogs/SelectId.h
    Dialogs/SelectIndexTitle.cpp
    Dialogs/SelectIndexTitle.h
    Dialogs/SelectFiles.cpp
    Dialogs/SelectFiles.h
    Dialogs/MetaEditor.cpp
    Dialogs/MetaEditor.h
    Dialogs/TreeItem.cpp
    Dialogs/TreeItem.h
    Dialogs/TreeModel.cpp
    Dialogs/TreeModel.h
    Dialogs/HeadingSelector.cpp
    Dialogs/HeadingSelector.h
    Dialogs/PluginRunner.cpp
    Dialogs/PluginRunner.h
    Dialogs/Preferences.cpp
    Dialogs/Preferences.h
    Dialogs/PreferenceWidgets/AppearanceWidget.cpp
    Dialogs/PreferenceWidgets/AppearanceWidget.h
    Dialogs/PreferenceWidgets/GeneralSettingsWidget.cpp
    Dialogs/PreferenceWidgets/GeneralSettingsWidget.h
    Dialogs/PreferenceWidgets/KeyboardShortcutsWidget.cpp
    Dialogs/PreferenceWidgets/KeyboardShortcutsWidget.h
    Dialogs/PreferenceWidgets/LanguageWidget.cpp
    Dialogs/PreferenceWidgets/LanguageWidget.h
    Dialogs/PreferenceWidgets/PreferencesWidget.h
    Dialogs/PreferenceWidgets/SpellCheckWidget.cpp
    Dialogs/PreferenceWidgets/SpellCheckWidget.h
    Dialogs/PreferenceWidgets/PreserveEntitiesWidget.cpp
    Dialogs/PreferenceWidgets/PreserveEntitiesWidget.h
    Dialogs/PreferenceWidgets/PluginWidget.cpp
    Dialogs/PreferenceWidgets/PluginWidget.h
    Dialogs/RenameTemplate.cpp
    Dialogs/RenameTemplate.h
    Dialogs/Reports.cpp
    Dialogs/Reports.h
    Dialogs/ReportsWidgets/AllFilesWidget.cpp
    Dialogs/ReportsWidgets/AllFilesWidget.h
    Dialogs/ReportsWidgets/HTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/HTMLFilesWidget.h
    Dialogs/ReportsWidgets/LinksWidget.cpp
    Dialogs/ReportsWidgets/LinksWidget.h
    Dialogs/ReportsWidgets/ImageFilesWidget.cpp
    Dialogs/ReportsWidgets/ImageFilesWidget.h
    Dialogs/ReportsWidgets/CSSFilesWidget.cpp
    Dialogs/ReportsWidgets/CSSFilesWidget.h
    Dialogs/ReportsWidgets/ClassesInHTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/ClassesInHTMLFilesWidget.h
    Dialogs/ReportsWidgets/StylesInCSSFilesWidget.cpp
    Dialogs/ReportsWidgets/StylesInCSSFilesWidget.h
    Dialogs/ReportsWidgets/CharactersInHTMLFilesWidget.cpp
    Dialogs/ReportsWidgets/CharactersInHTMLFilesWidget.h
    Dialogs/ReportsWidgets/ReportsWidget.h
    Dialogs/LinkStylesheets.cpp
    Dialogs/LinkStylesheets.h
    Dialogs/SearchEditor.cpp
    Dialogs/SearchEditor.h
    Dialogs/ClipEditor.cpp
    Dialogs/ClipEditor.h
    Dialogs/IndexEditor.cpp
    Dialogs/IndexEditor.h
    Dialogs/SpellcheckEditor.cpp
    Dialogs/SpellcheckEditor.h
    Dialogs/ViewImage.cpp
    Dialogs/ViewImage.h
    )

set( EXPORTER_FILES
    Exporters/ExportEPUB.cpp
    Exporters/ExportEPUB.h
    Exporters/Exporter.h
    Exporters/ExporterFactory.cpp
    Exporters/ExporterFactory.h
    Exporters/NCXWriter.cpp
    Exporters/NCXWriter.h
    Exporters/XMLWriter.cpp
    Exporters/XMLWriter.h
    Exporters/EncryptionXmlWriter.cpp
    Exporters/EncryptionXmlWriter.h
    )
    
set( IMPORTER_FILES
    Importers/ImportEPUB.cpp
    Importers/ImportEPUB.h
    Importers/Importer.cpp
    Importers/Importer.h
    Importers/ImporterFactory.cpp
    Importers/ImporterFactory.h
    Importers/ImportHTML.cpp
    Importers/ImportHTML.h
    Importers/ImportTXT.cpp
    Importers/ImportTXT.h
    )


# These may now be obsolete if so remove them
#    Misc/HTMLPrettyPrint.cpp
#    Misc/HTMLPrettyPrint.h
    
set( MISC_FILES    
    Misc/AppEventFilter.cpp
    Misc/AppEventFilter.h
    Misc/UpdateChecker.cpp
    Misc/UpdateChecker.h
    Misc/Utility.cpp
    Misc/Utility.h
    Misc/SleepFunctions.h
    Misc/FindReplaceQLineEdit.cpp
    Misc/FindReplaceQLineEdit.h
    Misc/FilenameDelegate.cpp
    Misc/FilenameDelegate.h
    Misc/XHTMLHighlighter.cpp
    Misc/XHTMLHighlighter.h
    Misc/CSSHighlighter.cpp
    Misc/CSSHighlighter.h
    Misc/CSSInfo.cpp
    Misc/CSSInfo.h
    Misc/HTMLEncodingResolver.cpp
    Misc/HTMLEncodingResolver.h
    Misc/HTMLSpellCheck.cpp
    Misc/HTMLSpellCheck.h
    Misc/PasteTargetComboBox.cpp
    Misc/PasteTargetComboBox.h
    Misc/PasteTarget.h
    Misc/Plugin.cpp
    Misc/Plugin.h
    Misc/PluginDB.cpp
    Misc/PluginDB.h
    Misc/QCodePage437Codec.cpp
    Misc/QCodePage437Codec.h
    Misc/RasterizeImageResource.cpp
    Misc/RasterizeImageResource.h
    Misc/SearchOperations.cpp
    Misc/SearchOperations.h
    Misc/Language.cpp
    Misc/Language.h
    Misc/DescriptiveInfo.h
    Misc/GuideItems.h
    Misc/GuideItems.cpp
    Misc/Landmarks.h
    Misc/Landmarks.cpp
    Misc/MarcRelators.cpp
    Misc/MarcRelators.h
    Misc/UILanguage.cpp
    Misc/SettingsStore.cpp
    Misc/SettingsStore.h
    Misc/SpellCheck.cpp
    Misc/SpellCheck.h
    Misc/KeyboardShortcut.cpp
    Misc/KeyboardShortcut.h
    Misc/KeyboardShortcut_p.h
    Misc/KeyboardShortcutManager.cpp
    Misc/KeyboardShortcutManager.h
    Misc/XhtmlEntitiesDtd.cpp
    Misc/Ncx20051Dtd.cpp
    Misc/FontObfuscation.cpp
    Misc/FontObfuscation.h
    Misc/TempFolder.cpp
    Misc/TempFolder.h
    Misc/OpenExternally.cpp
    Misc/OpenExternally.h
    Misc/TOCHTMLWriter.cpp
    Misc/TOCHTMLWriter.h
    Misc/NumericItem.h
    Misc/CaseInsensitiveItem.h
    Misc/ValidationResult.h
    Misc/ValidationResult.cpp
    Misc/WrapIndicator.h
    Misc/XMLEntities.cpp
    Misc/PyObjectPtr.h
    Misc/PyObjectPtr.cpp
    Misc/EmbeddedPython.h
    Misc/EmbeddedPython.cpp
    Misc/GumboInterface.h
    Misc/GumboInterface.cpp
    Misc/PythonRoutines.h
    Misc/PythonRoutines.cpp
    )

set( MISC_EDITORS_FILES    
    MiscEditors/ClipEditorModel.cpp
    MiscEditors/ClipEditorModel.h
    MiscEditors/ClipEditorTreeView.cpp
    MiscEditors/ClipEditorTreeView.h
    MiscEditors/IndexEditorModel.cpp
    MiscEditors/IndexEditorModel.h
    MiscEditors/IndexEditorTreeView.cpp
    MiscEditors/IndexEditorTreeView.h
    MiscEditors/IndexEntries.cpp
    MiscEditors/IndexEntries.h
    MiscEditors/IndexHTMLWriter.cpp
    MiscEditors/IndexHTMLWriter.h
    MiscEditors/SearchEditorTreeView.cpp
    MiscEditors/SearchEditorTreeView.h
    MiscEditors/SearchEditorModel.cpp
    MiscEditors/SearchEditorModel.h
    )

set( SPCRE_FILES
    PCRE/SPCRE.cpp
    PCRE/SPCRE.h
    PCRE/PCRECache.cpp
    PCRE/PCRECache.h
    PCRE/PCREReplaceTextBuilder.cpp
    PCRE/PCREReplaceTextBuilder.h
    )

set( VIEW_EDITOR_FILES
    ViewEditors/BookViewEditor.cpp
    ViewEditors/BookViewEditor.h
    ViewEditors/BookViewPreview.cpp
    ViewEditors/BookViewPreview.h
    ViewEditors/CodeViewEditor.cpp
    ViewEditors/CodeViewEditor.h
    ViewEditors/LineNumberArea.cpp
    ViewEditors/LineNumberArea.h
    ViewEditors/Searchable.cpp
    ViewEditors/Searchable.h
    ViewEditors/Zoomable.h 
    ViewEditors/ViewEditor.h     
    ViewEditors/ViewWebPage.cpp
    ViewEditors/ViewWebPage.h 
    )

set( MAINUI_FILES 
    MainUI/MainApplication.cpp
    MainUI/MainApplication.h
    MainUI/MainWindow.cpp
    MainUI/MainWindow.h
    MainUI/FindReplace.cpp
    MainUI/FindReplace.h
    MainUI/BookBrowser.cpp
    MainUI/BookBrowser.h
    MainUI/ClipsWindow.cpp
    MainUI/ClipsWindow.h
    MainUI/PreviewWindow.cpp

=== gumbo/CMakeLists.txt ===
########################################################
#  
#  This is a CMake configuration file.
#  To use it you need CMake which can be 
#  downloaded from here: 
#    http://www.cmake.org/cmake/resources/software.html
#
#########################################################

cmake_minimum_required( VERSION 3.0 ) 

project( sigilgumbo C )

set( GUMBO_LIBRARIES ${PROJECT_NAME} CACHE INTERNAL "" )
set( GUMBO_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "" )

file( GLOB SOURCES *.c )
list( SORT SOURCES )

if( APPLE )
        set(CMAKE_MACOSX_RPATH 1)
endif()

if ( MSVC )
     set( SOURCES ${SOURCES} include/gumbo_windll.def)
endif()

add_library( sigilgumbo SHARED ${SOURCES} ) 

# Special compiler and linker flags for MSVC
if( MSVC )
    set ( EXTRA_INC include/ )
    include_directories( SYSTEM ${EXTRA_INC} )
    add_definitions( -Dinline=__inline )

    set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /MP")
    set( CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /Oi /GL" )
    # set_target_properties( sigilgumbo PROPERTIES STATIC_LIBRARY_FLAGS "/LTCG" )
endif()

if( UNIX AND NOT APPLE )
	set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99" )
endif()

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,52 @@
 Source: sigil
 Section: editors
 Priority: extra
-Maintainer: Mattia Rizzolo <mattia@mapreri.org>
-Uploaders: Norbert Preining <preining@debian.org>
-Build-Depends: cmake (>= 3.0.0),
-               debhelper (>= 9),
-               libboost-date-time-dev,
-               libboost-filesystem-dev,
-               libboost-program-options-dev,
-               libboost-regex-dev,
-               libboost-system-dev,
-               libboost-thread-dev,
-               libflightcrew-dev,
-               libhunspell-dev,
-               libjs-jquery,
-               libjs-jquery-scrollto,
-               libminizip-dev,
-               libpcre3-dev (>= 2:8.35-4),
-               libqt5opengl5-dev (>= 5.4.0),
-               libqt5sensors5-dev (>= 5.4.0),
-               libqt5svg5-dev (>= 5.4.0),
-               libqt5webkit5-dev (>= 5.4.0),
-               libqt5xmlpatterns5-dev (>= 5.4.0),
-               libxerces-c-dev,
-               pkg-config,
-               qtbase5-dev (>= 5.4.0),
-               qtdeclarative5-dev (>= 5.4.0),
-               qtmultimedia5-dev (>= 5.4.0),
-               qtpositioning5-dev (>= 5.4.0),
-               qttools5-dev (>= 5.4.0),
-               qttools5-dev-tools (>= 5.4.0),
-               zlib1g-dev
-Standards-Version: 3.9.6
+Maintainer: Mattia Rizzolo <mattia@debian.org>
+Uploaders:
+ Norbert Preining <preining@debian.org>,
+Build-Depends:
+ cmake (>= 3.0.0),
+ debhelper (>= 9),
+ dh-python,
+ libhunspell-dev,
+ libjs-jquery,
+ libjs-jquery-scrollto,
+ libminizip-dev,
+ libpcre3-dev (>= 2:8.35-4),
+ libqt5svg5-dev (>= 5.4.0),
+ libqt5webkit5-dev (>= 5.4.0),
+ libqt5xmlpatterns5-dev (>= 5.4.0),
+ pkg-config,
+ python3-dev,
+ qtbase5-dev (>= 5.4.0),
+ qttools5-dev (>= 5.4.0),
+ qttools5-dev-tools (>= 5.4.0),
+ zlib1g-dev,
+Standards-Version: 3.9.7
 Homepage: http://sigil-ebook.com
-Vcs-Git: git://anonscm.debian.org/collab-maint/sigil.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sigil.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sigil.git
 
 Package: sigil
 Architecture: any
-Depends: libjs-jquery-scrollto,
-         sigil-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ libhunspell-dev,
+ libjs-jquery-scrollto,
+ python3-lxml,
+ sigil-data (= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Recommends:
+ python,
+ python3,
+ python3-chardet,
+ python3-cssselect,
+ python3-cssutils,
+ python3-html5lib,
+ python3-pil,
+ python3-regex,
+ python3-six,
 Description: multi-platform ebook editor
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.
@@ -66,9 +71,11 @@
 
 Package: sigil-data
 Architecture: all
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: sigil (= ${source:Version})
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ sigil (= ${source:Version}),
 Description: multi-platform ebook editor - data files
  Sigil is a free, open source, multi-platform ebook editor.
  It is designed to edit books in ePub format.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with python3

override_dh_auto_configure:
	ln -sf /usr/share/javascript/jquery/jquery.min.js $(CURDIR)/src/Resource_Files/javascript/jquery-1.6.2.min.js
	ln -sf /usr/share/javascript/jquery-scrollto/jquery.scrollTo.min.js $(CURDIR)/src/Resource_Files/javascript/jquery.scrollTo-1.4.2-min.js
	dh_auto_configure -- \
		-DUSE_SYSTEM_LIBS=1 \
		-DSYSTEM_LIBS_REQUIRED=1 \
		-DINSTALL_BUNDLED_DICTS=0

override_dh_install:
	rm $(CURDIR)/debian/tmp/usr/share/sigil/plugin_launchers/python/sigil_bs4/COPYING.txt
	dh_install --fail-missing

override_dh_python3:
	dh_python3 --no-ext-rename

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=4

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+dfsg \
https://github.com/Sigil-Ebook/Sigil/releases /Sigil-Ebook/Sigil/releases/download/(?:\d\S*)/Sigil-(\d\S*)-Code@ARCHIVE_EXT@
